Subject: Re: [PATCH/RFA] Add SSE registers to i386 CONTEXT struct in winnt.h
From: Corinna Vinschen <[email-masked]>
To: Pierre Muller <[email-masked]>
Cc: cygwin <[email-masked]>
Date: Wed, 21 Nov 2001 12:55:57 +0100

On Wed, Nov 21, 2001 at 12:29:18PM +0100, Pierre Muller wrote:
> At 18:55 20/11/2001 , vous avez écrit:
> >On Tue, Nov 20, 2001 at 02:18:45PM +0100, Pierre Muller wrote:
> > > ChangeLog entry:
> > >
> > > 2001-11-19  Pierre Muller  <[email-masked]>
> > >
> > >       * w32api/include/winnt.h: prepare SSE register support.
> > >       (CONTEXT_EXTENDED_REGISTERS): Add new define.
> > >       (MAXIMUM_SUPPORTED_EXTENSION): New define.
> > >       (struct CONTEXT): ExtendedRegisters field added.
> >
> >Sorry, but the patch doesn't apply cleanly.  The indenting
> >isn't correct.  Could you please resend a corrected patch?
> 
> i am also sorry, but I don't understand what is wrong,
> could you please enlight me ?
> 
>   I tried to apply the patch and got nothing back from patch.

Look into the mail containing the patch.  E.g. the #define's
have two leading spaces which is somewhat strange.  One leading
space would be correct here.  I tried to tweak the file by hand
but I think it would be better just to send the patch again.
Probably it was just a glitch when putting it into the mail.

> By the way, isn't there a problem with cygwin patch executable ?
> Even though my CVS dirs are on a binary mount directory,
> the result of the patch is a text mode text file,
> which means that the line ends are CR:LF instead of LF alone !

We had that problem last year and I applied a patch to patch so
I'm pretty sure my latest patch doesn't have that problem.
Hmm, no, I've just tried it.  It works even with textmode diffs
on binmode source files.  Are you sure using the latest patch?

Corinna

-- 
Corinna Vinschen                  Please, send mails regarding Cygwin to
Cygwin Developer                                mailto:[email-masked]
Red Hat, Inc.

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/